> ## Documentation Index
> Fetch the complete documentation index at: https://docs.iolokis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Regenerate Transcription

> Regenerate a transcription.

<Warning>
  This endpoint is experimental and may not work as expected.
</Warning>


## OpenAPI

````yaml PUT /transcription/regenerate
openapi: 3.1.0
info:
  title: IOLOKIS API
  description: You can use the REST API to manage your IOLOKIS account and resources.
  version: 1.0.0
servers:
  - url: https://api.iolokis.com
security:
  - bearerAuth: []
paths:
  /transcription/regenerate:
    put:
      description: Regenerate a transcription.
      requestBody:
        description: Regenerate transcription data.
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegenerateTranscription'
      responses:
        '200':
          description: Transcription regenerated.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Transcription'
        '400':
          description: Invalid input.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    RegenerateTranscription:
      type: object
      properties:
        template_id:
          type: integer
        transcription_id:
          type: integer
        original_text:
          type: string
    Transcription:
      type: object
      properties:
        id:
          type: string
          format: uuid
        content:
          type: string
        patient_id:
          type: string
          format: uuid
        template_id:
          type: integer
        lang:
          type: string
        created_at:
          type: string
          format: date-time
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message indicating the error
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````